S3D_SET_CALLBACK(3)

NAME
s3d_set_callback - sets a callback

SYNOPSIS

#include <s3d.h>

void s3d_set_callback(uint8_t event, s3d_cb func);

DESCRIPTION

Sets a callback for a certain event. this is very useful for event-oriented applications. event callbacks will not interrupt each other or the mainloop.

    Warning

    Defining callbacks will only work after calling s3d_init()

     #include <inttypes.h>

     void obj_click(struct s3d_evt event)
     {
             printf("object id %"PRIu32" got clicked", *((uint32_t *)event->buf));
     }
     ...
     s3d_set_callback(S3D_EVENT_NEW_OBJECT, obj_click);
     // this will tell you when a object got clicked

AUTHOR

Simon Wunderlich
    Author of s3d